DK API 文档

zhihu 02

15 个接口

GETfetch question answers

GET https://dkai.store/api/v1/zhihu/web/fetch_question_answers

1 积分 / 成功调用

参数位置要求说明
question_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_question_answers?question_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch question detail

GET https://dkai.store/api/v1/zhihu/web/fetch_question_detail

1 积分 / 成功调用

参数位置要求说明
question_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_question_detail?question_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch recommend followees

GET https://dkai.store/api/v1/zhihu/web/fetch_recommend_followees

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_recommend_followees'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch salt search v3

GET https://dkai.store/api/v1/zhihu/web/fetch_salt_search_v3

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_salt_search_v3?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch scholar search v3

POST https://dkai.store/api/v1/zhihu/web/fetch_scholar_search_v3

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_scholar_search_v3?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search recommend

GET https://dkai.store/api/v1/zhihu/web/fetch_search_recommend

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_search_recommend'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search suggest

GET https://dkai.store/api/v1/zhihu/web/fetch_search_suggest

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_search_suggest?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch sub comment v5

GET https://dkai.store/api/v1/zhihu/web/fetch_sub_comment_v5

1 积分 / 成功调用

参数位置要求说明
comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_sub_comment_v5?comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch topic search v3

GET https://dkai.store/api/v1/zhihu/web/fetch_topic_search_v3

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_topic_search_v3?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user answers

GET https://dkai.store/api/v1/zhihu/web/fetch_user_answers

1 积分 / 成功调用

参数位置要求说明
user_url_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_user_answers?user_url_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user articles

GET https://dkai.store/api/v1/zhihu/web/fetch_user_articles

1 积分 / 成功调用

参数位置要求说明
user_url_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_user_articles?user_url_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user collections

GET https://dkai.store/api/v1/zhihu/web/fetch_user_collections

1 积分 / 成功调用

参数位置要求说明
user_url_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_user_collections?user_url_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user follow collections

GET https://dkai.store/api/v1/zhihu/web/fetch_user_follow_collections

1 积分 / 成功调用

参数位置要求说明
user_url_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_user_follow_collections?user_url_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user follow columns

GET https://dkai.store/api/v1/zhihu/web/fetch_user_follow_columns

1 积分 / 成功调用

参数位置要求说明
user_url_tokenquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/zhihu/web/fetch_user_follow_columns?user_url_token=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。